#include "MeshConnComDock.h"
#include <Route.h>
#include <qmainwindow.h>

MeshConnComDock::MeshConnComDock(QMainWindow *parent)
: QToolBar(parent)
{
  parent->moveDockWindow(this, DockRight);
  
  _form = new ConnectedComForm(this);
  setCaption(tr("Connected Components"));
  
  connect(_form->computeButton, SIGNAL(clicked()), this, SLOT(computeButton()));
}

void MeshConnComDock::computeButton()
{
  RC::Route::send(this, &MeshConnComDock::compute);
}

void MeshConnComDock::compute() const
{
}
