#include "X3D_TexturingCreator.h"
#include "X3D_ImageTexture.h"
#include "X3D_TextureCoordinate.h"
#include "X3D_TextureTransform.h"

namespace X3DTK {
namespace X3D {

TexturingCreator::TexturingCreator()
{
  defineComponentName("Texturing", "X3D");
  
  defineNode<ImageTexture>();
  defineNode<TextureCoordinate>();
  defineNode<TextureTransform>();
}

TexturingCreator::~TexturingCreator()
{
}

}
}
